import { jsx } from "react/jsx-runtime";
import react from "react";
import { useFormLayout } from "@tego/client";
import { Space } from "antd";
const space_Space = (props)=>{
    let { split } = props;
    if ('|' === split) split = /*#__PURE__*/ jsx("span", {
        children: "\xa0"
    });
    const layout = useFormLayout();
    var _props_size;
    return /*#__PURE__*/ react.createElement(Space, {
        size: null != (_props_size = props.size) ? _props_size : null == layout ? void 0 : layout.spaceGap,
        ...props,
        split
    });
};
const space = space_Space;
export { space_Space as Space, space as default };
